// DO_CoffeeTable2.inc
// The following objects are defined in this file
//    DO_CoffeeTable2
//       a fancy coffee table with glass pane top
//       width = 1, depth = 1, height = .4
//       bottom center is at <0,0,0>

// units are in meters

#ifndef (DO_COFFE_INC)
#declare DO_COFFE_INC = version
#version 3

#include "colors.inc"
#include "textures.inc"
#include "woods.inc"

#declare Width = 1
#declare Height = .4

#declare T1 = texture { T_Wood24 rotate <45,45,45> }

// a decoration, radius = 0.08
#declare Th = 0.008
#declare Deco1 = union {
   sphere { 0,Th }
   sphere { 0,Th scale <1,2,1> translate y*2*Th }
   sphere { 0,Th scale <1,2,1> translate y*2*Th rotate z*90 }
   sphere { 0,Th scale <1,2,1> translate y*2*Th rotate z*180 }
   sphere { 0,Th scale <1,2,1> translate y*2*Th rotate z*270 }
   texture { T1 scale .1 }
   scale <1,1,.6> 
   }

// another decoration
#declare D1 = intersection {
   torus { 1, .2 translate z*.866 translate x*.5 }
   box { <-.3,-.2,-.4>, <1.3,.2,0> }
   }

#declare A = 0
#declare S = 1
#declare Deco2 = union {
   #while (A < 90)
      object { D1 scale <S,S,1> rotate z*A }
      object { D1 translate x*-1 scale <S,S,1> rotate z*-A }
      #declare S = S - .15
      #declare A = A + 25
   #end
   texture { T1 scale .1 }
   scale .04
   scale <1,.8,.6>
   }

#declare LegW = .1
#declare LegPt1 = union {
   intersection {
      box { <-LegW/2,0,-LegW/2>, <LegW/2,.1,LegW/2> }
      sphere { <0,-.1,0>, .2 }
      }
   object { Deco1 translate <0,.05,-LegW/2> }
   object { Deco1 translate <0,.05,-LegW/2> rotate y*90 }
   object { Deco1 translate <0,.05,-LegW/2> rotate y*180 }
   object { Deco1 translate <0,.05,-LegW/2> rotate y*270 }
   texture { T1 scale <.1,3,.1> }
   }

#declare Leg = union {
   object { LegPt1 }
   object { LegPt1 rotate x*180 translate y*(Height-.03) }
   box { <-LegW/2+.01, 0, -LegW/2+.01>, <LegW/2-.01, Height-.04, LegW/2-.01>
      scale <.8,1,1>
      }
   box { <-LegW/2+.01, 0, -LegW/2+.01>, <LegW/2-.01, Height-.04, LegW/2-.01>
      scale <1,1,.8>
      }
   texture { T1 scale <.1,3,.1> }
   }

#declare TopEdge = difference {
   union {
      cylinder { <-.6,-.01,-.5>, <.6,-.01,-.5>, .01 }
      box { <-.6,-.01,-.5>, <.6,0,-.4> }
      difference {
         box { <-.6,-.03,-.51>, <.6,-.01,-.4> }
         cylinder { <-.6,-.03,-.51>, <.6,-.03,-.51>, .01 }
         }
      }
   box { <-1,-.04,0>, <1,.01,.2> rotate y*45 }
   box { <-1,-.04,0>, <1,.01,.2> rotate y*-45 }
   texture { T1 scale <3,.1,.1> }
   }

#declare TopMiddle = difference {
   box { <-.05,-.03,-.4>, <.05,0,0> }
   box { <-.1,-.04,0>, <.1,.01,.1> rotate y*45 }
   box { <-.1,-.04,0>, <.1,.01,.1> rotate y*-45 }
   texture { T1 scale <.1,.1,3> }
   }

#declare TopWood = union {
   object { TopEdge }
   object { TopEdge rotate y*90 }
   object { TopEdge rotate y*180 }
   object { TopEdge rotate y*270 }
   }

#declare GW = .35
#declare Bevel = box { <-.1,0,-GW/2-.01>, <.1,.05,GW/2+.01>
   rotate z*15 translate <-GW/2+.02,0,0>
   }
#declare TopGlass = difference {
   box { <-GW/2,-.02,-GW/2>, <GW/2,0,GW/2> }
   object { Bevel }
   object { Bevel rotate y*90 }
   object { Bevel rotate y*180 }
   object { Bevel rotate y*270 }
   texture {
      pigment { color rgbt <.9,.9,.9,.65> }
      finish { reflection .35 refraction 1 ior 1.5 }
      }
   }

#declare Top = union {
   object { TopWood }
   object { TopGlass translate <-GW/2-.05,0,-GW/2-.05> }
   object { TopGlass translate <-GW/2-.05,0, GW/2+.05> }
   object { TopGlass translate < GW/2+.05,0,-GW/2-.05> }
   object { TopGlass translate < GW/2+.05,0, GW/2+.05> }
   object { TopMiddle }
   object { TopMiddle rotate y*90 }
   object { TopMiddle rotate y*180 }
   object { TopMiddle rotate y*270 }
   }

#declare Side = union {
   box { <-.4,-.1,-.02>, <.4,0,.02> }
   box { <-.4,-.055,-.028>, <.4,-.045,.02> }
   box { <-.4,-.01,-.028>, <.4,0,.02> }
   box { <-.4,-.1,-.028>, <.4,-.09,.02> }
   #declare Pos = -.4
   #while (Pos < .4)
      object { Deco2 translate <Pos,-.04,-.02> }
      object { Deco2 rotate z*180 translate <Pos,-.06,-.02> }
      object { Deco1 translate <Pos+.0666666,-.05,-.02> }
      #declare Pos = Pos + .13333333
   #end
   translate z*-.46
   texture { T1 scale <3,.1,.1> }
   }

#declare TwoSides = union {
   object { Side translate y*(Height-0.03) }
   object { Side translate y*.1 }
   }

#declare Sides = union {
   object { TwoSides }
   object { TwoSides rotate y*90 }
   object { TwoSides rotate y*180 }
   object { TwoSides rotate y*270 }
   }

#declare DO_CoffeeTable2 = union {
   object { Top translate y*Height }
   object { Leg translate <-Width/2+LegW/2,0,-Width/2+LegW/2> }
   object { Leg translate <-Width/2+LegW/2,0, Width/2-LegW/2> }
   object { Leg translate < Width/2-LegW/2,0,-Width/2+LegW/2> }
   object { Leg translate < Width/2-LegW/2,0, Width/2-LegW/2> }
   object { Sides }
   }


// uncomment the section below to render an image of the coffee table
/*
plane {  y,  0 texture { pigment { color <.7,.7,.7> } } }
plane {  x, -5 texture { pigment { color <.7,.7,.7> } } rotate y*35 }
plane { -z, -5 texture { pigment { color <.7,.7,.7> } } rotate y*35 }
light_source { <-100,100,-200> color White }
light_source { <100,50,-200> color White }
object { DO_CoffeeTable2 rotate y*35 texture { pigment { color White } } }

// a view of the entire table
// camera { location <0,.6,-1.5> look_at <0,.3,0> }

// a close up view of one corner
camera { location <0,.25,-1.1> look_at <0,.25,0> }
*/


#version DO_COFFE_INC
#end
