// DO_Desk1.inc
// The following objects are defined in this file:
//    DO_Desk1
//       a wooden desk.  dimensions: 1 deep x .82 high x 2 wide
//       bottom, front, center of desk is at <0,0,0>
//       The desk is positioned such that a person seated at it
//       would face in the +z direction

#ifndef (DO_DESK1_INC)
#declare DO_DESK1_INC = version
#version 3

#include "colors.inc"
#include "textures.inc"
#include "woods.inc"

#declare R2 = seed(0)
#declare DeskTexture = texture { T_Wood24 rotate <45,45,45> scale .5 } // was T_Wood7 earlier

#declare Desktop =
difference { // 1x2m with decorative cutouts
  box { <-1,0,0> <1,0.02,1> }
  cylinder { <-1, 0.02, -0.01>, <-1, 0.02, 1.01>, 0.01 }
  cylinder { < 1, 0.02, -0.01>, < 1, 0.02, 1.01>, 0.01 }
  cylinder { <-1.01, 0.02,  0>, < 1.01, 0.02, 0>, 0.01 }
  cylinder { <-1.01,  0.02, 1>, < 1.01, 0.02, 1>, 0.01 }
  scale 1.02 translate z*-0.01
  }

#declare Body =
difference { // 1x2 with sitting space cut out
  union {
    box { <-1,0,0> <1,0.80,1> // the main body
      #declare R = rand(R2)*.1+.15
      texture { DeskTexture scale <R,5+R,R> }
      }
    box { <-1.01,0,-0.01> <1.01,0.10,1.01> } // the molding
    box { <-1.01,0.70, 0> <1.01,0.80,1.01> }
    #declare R = rand(R2)*.1+.15
    texture { DeskTexture scale <5+R,R,5+R> }
    }
  box { <-0.5, -0.01, -0.1> <0.5, 0.70, .99> } // the sitting space
  }

#declare CutH = cylinder { <-2, 0, 0>, <2, 0, 0>, 0.005 }
#declare CutV = object { CutH rotate z*90 }

#declare Drawer1 =
difference {
  box { <0,0,0> <0.98, 0.08, 0.01> }
  object { CutH }
  object { CutH translate y*0.08 }
  object { CutV }
  object { CutV translate x*0.98 }
  translate z*-0.01
  }

#declare Handle =
union {
  cylinder { <0.00,0,0>, <0.00,0,-0.01>, 0.01 }
  cylinder { <0.00,0,0>, <0.00,0,-0.03>, 0.005 }
  cylinder { <0.10,0,0>, <0.10,0,-0.01>, 0.01 }
  cylinder { <0.10,0,0>, <0.10,0,-0.03>, 0.005 }
  sphere { <0.00,0,-0.03> .0075 }
  sphere { <0.01,0,-0.03> .0075 }
  cylinder { <0.00,0,-0.03>, <0.10,0,-0.03>, 0.005 }
  translate z*-0.01
  texture { pigment { color Gold } finish { Shiny } }
  }

#declare CenterDrawer =
union {
  object { Drawer1 }
  object { Handle translate <0.44, 0.04, 0> }
  }

#declare Drawer2 =
difference {
  box { <0,0,0> <0.48, 0.08, 0.01> }
  object { CutH }
  object { CutH translate y*0.08 }
  object { CutV }
  object { CutV translate x*0.48 }
  translate z*-0.01
  }

#declare TopLeftDrawer =
union {
  object { Drawer2 }
  object { Handle translate <0.19, 0.04, 0> }
  }

#declare Drawer3 =
difference {
  box { <0,0,0> <0.48, 0.13, 0.01> }
  object { CutH }
  object { CutH translate y*0.13 }
  object { CutV }
  object { CutV translate x*0.48 }
  translate z*-0.01
  }

#declare MiddleLeftDrawer =
union {
  object { Drawer3 }
  object { Handle translate <0.19, 0.065, 0> }
  }

#declare Drawer4 =
difference {
  box { <0,0,0> <0.48, 0.28, 0.01> }
  object { CutH }
  object { CutH translate y*0.28 }
  object { CutV }
  object { CutV translate x*0.48 }
  translate z*-0.01
  }

#declare BottomLeftDrawer =
union {
  object { Drawer4 }
  object { Handle translate <0.19, 0.14, 0> }
  }

#declare DO_Desk1 =
union {
  object { Body
    texture {
      #declare R = rand(R2)*.1+.15
      DeskTexture scale <R,5+R,R>
      translate <rand(R2), rand(R2), rand(R2) >
      }
    }
  object { Desktop translate y*0.80
    texture {
      #declare R = rand(R2)*.1+.15
      DeskTexture scale <5+R,R,R>
      translate <rand(R2), rand(R2), rand(R2) >
      }
    }
  object { CenterDrawer
    translate <-0.49, 0.71, 0>
    texture {
      #declare R = rand(R2)*.1+.15
      DeskTexture scale <5+R,R,R>
      translate <rand(R2), rand(R2), rand(R2) >
      }
    }
  object { TopLeftDrawer
    translate <-0.99, 0.71, 0>
    texture {
      #declare R = rand(R2)*.1+.15
      DeskTexture scale <5+R,R,R>
      translate <rand(R2), rand(R2), rand(R2) >
      }
    }
  object { TopLeftDrawer
    translate < 0.51, 0.71, 0>
    texture {
      #declare R = rand(R2)*.1+.15
      DeskTexture scale <5+R,R,R>
      translate <rand(R2), rand(R2), rand(R2) >
      }
    }
  object { MiddleLeftDrawer
    translate <-0.99, 0.56, 0>
    texture {
      #declare R = rand(R2)*.1+.15
      DeskTexture scale <5+R,R,R>
      translate <rand(R2), rand(R2), rand(R2) >
      }
    }
  object { MiddleLeftDrawer
    translate < 0.51, 0.56, 0>
    texture {
      #declare R = rand(R2)*.1+.15
      DeskTexture scale <5+R,R,R>
      translate <rand(R2), rand(R2), rand(R2) >
      }
    }
  object { MiddleLeftDrawer
    translate <-0.99, 0.41, 0>
    texture {
      #declare R = rand(R2)*.1+.15
      DeskTexture scale <5+R,R,R>
      translate <rand(R2), rand(R2), rand(R2) >
      }
    }
  object { MiddleLeftDrawer
    translate < 0.51, 0.41, 0>
    texture {
      #declare R = rand(R2)*.1+.15
      DeskTexture scale <5+R,R,R>
      translate <rand(R2), rand(R2), rand(R2) >
      }
    }
  object { BottomLeftDrawer
    translate <-0.99, 0.11, 0>
    texture {
      #declare R = rand(R2)*.1+.15
      DeskTexture scale <5+R,R,R>
      translate <rand(R2), rand(R2), rand(R2) >
      }
    }
  object { BottomLeftDrawer
    translate < 0.51, 0.11, 0>
    texture {
      #declare R = rand(R2)*.1+.15
      DeskTexture scale <5+R,R,R>
      translate <rand(R2), rand(R2), rand(R2) >
      }
    }
  }


// uncomment the section below to render a view of the desk
/*
object { DO_Desk1 translate z*-.5 rotate y*35 }
plane {  y,  0 texture { pigment { color <.7,.7,.7> } } }
plane {  x, -5 texture { pigment { color <.7,.7,.7> } } rotate y*35 }
plane { -z, -5 texture { pigment { color <.7,.7,.7> } } rotate y*35 }
light_source { <-20,50,-20> color rgb <1,1,1> }
light_source { <10,12,-20> color rgb <1,1,1> }
camera { location <0,1,-2.4> look_at <0,.5,0> }
*/

#version DO_DESK1_INC
#end
