// ***********************************************************************
// ***********************************************************************
// O_H010.POV                                       Ver. 1.0  18 Nov 98
// Our House Front Wall and Front Yard
// ***********************************************************************

// ***********************************************************************
// Define Global Settings
// ***********************************************************************

#version 3.0
global_settings { assumed_gamma 1.8 }

#include "oh010.inc"                  // Our_House elements

// ***********************************************************************
// Define Ambient Lights
// ***********************************************************************

light_source {
   < -100, 100, -190 >
   color White
             } // end light source

// ***********************************************************************
// Define Sky
// ***********************************************************************

background { color Black }

sky_sphere { pigment  { LightBlue } }       // day

// ***********************************************************************
// Define Camera
// ***********************************************************************

#declare Camera_SW =
camera {
   direction < 0, 0, 4 >
   location  < -50, 20, -110 >          // SW of center
   look_at   <   0,  5,  -25 > }        //            medium

// ***********************************************************************
//  Define Test Scene                                                *****
// ***********************************************************************

// CAMERA
camera { Camera_SW }

// FLOOR
object { Clip_Floor }

// ***********************************************************************
// ***********************************************************************

//  Generate this image :

object { Our_House  scale 0.5 }

// ***********************************************************************
// ***********************************************************************
// Michael Brendan Hurley, SDE, Ltd.                             Nov 1998
// ***********************************************************************
