// ***********************************************************************
// ***********************************************************************
// O_HOUSE0.POV                                       Ver. 1.0  1 Apr 99
// Our House Final Version
// ***********************************************************************

// ***********************************************************************
// Define Global Settings
// ***********************************************************************

#version 3.0
global_settings { assumed_gamma 1.8 }

#include "o_house0.inc"                // Our_House elements

// ***********************************************************************
// Define Ambient Lights
// ***********************************************************************

light_source {
   < -100, 100, -190 >
   color White
             } // end light source

// ***********************************************************************
// Define Sky
// ***********************************************************************

background { color Black }

//sky_sphere { pigment  { Black } }       // real night
sky_sphere { pigment  { LightBlue } }       // day
//sky_sphere { pigment  { MidnightBlue } }    // twilight
//sky_sphere { pigment { Bright_AquaBlue4 } scale < 0.6, 0.15, 0.15 > }

// ***********************************************************************
// Define Spotlights
// ***********************************************************************

#declare Test_Spot =
light_source {
   < 20, 40, -50 >
   color White
   spotlight
   radius 20
   falloff 15
   tightness 15
   point_at < 20, 0, -30 >
             } // end Test Spotlight 1

// ***********************************************************************
// Define Camera
// ***********************************************************************

#declare Camera_BS =
camera {
   direction < 0, 0, 2 >
   location  < 105, 50, -250 >         // SE of center
   look_at   <  10, 20,    0 > }       // The Beauty Shot

#declare Camera_SE =
camera {
   direction <   0,  0,    2 >
   location  < 200, 50, -130 >         // SE of center
   look_at   <   0,  0,    0 > }       //    long shot

#declare Camera_SE_Close =
camera {
   direction <   0,  0, 1.5 >
   location  < -38, 26, -38 >          // SW balcony
   look_at   <  30, 13, -10 > }        //      ATRIUM INTERIOR

#declare Camera_SE_Low =
camera {
   direction <   0, 0,    2 >
   location  < 165, 6, -180 >          // SE of center
   look_at   <   0, 6,   40 > }        //       EYEBALL LEVEL

#declare Camera_SW =
camera {
   direction < 0, 0, 2 >
   location  < -100, 35, -200 >          // SW of center
   look_at   <   0,  10,  0 > }        //            medium

#declare Camera_South =
camera {
   direction < 0, 0, 3 >
   location  < 0, 20, -30 >            // south of cntr
   look_at   < 0,  0,  10 > }          //

#declare Camera_West =
camera {
   direction <    0, 0,  2 >
   location  < -190, 6, 10 >          // West
   look_at   <    0, 9, 60 > }        //   of room 2 cntr

#declare Camera_East =
camera {
   direction <   0,  0, 2 >
   location  < 210, 110, 0 >           // East
   look_at   <  95,  10, 0 > }         //   of cntr

#declare Camera_Above =
camera {
   direction < 0, 0, 2 >
   location  < 0, 250, -0.02 >           // Above
   look_at   < 0,   0, 0 > }         //    cntr

// ***********************************************************************
//  Define Test Scene                                                *****
// ***********************************************************************

// CAMERA
camera { Camera_BS }
//camera { Camera_SE }
//camera { Camera_SW }
//camera { Camera_SE_Close }
//camera { Camera_SE_Low }
//camera { Camera_South }
//camera { Camera_West }
//camera { Camera_East }
//camera { Camera_Above }

// LIGHTS
//object { Test_Spot }                   //variable

// FLOOR
object { Clip_Floor }
//object { Check_Floor }
//object { Test_Floor }
//object { Grass_Floor }
//object { Gray50_Floor }

// ***********************************************************************
// ***********************************************************************

//  Generate this image :

object { Our_House }
//object { New_Wing_1 }

// ***********************************************************************
// ***********************************************************************
// Michael Brendan Hurley, SDE, Ltd.                         Nov 98-Jan 99
// ***********************************************************************
