#declare Textures_Inc_Temp = version
#version 3.0
#ifdef(View_POV_Include_Stack)
#   debug "including tex-b.inc\n"
#end

//              Persistence of Vision Raytracer Version 3.0
//                    Standard textures include file
//         Edited from Textures.v2 by MBH  for O_, R_, & N_HOUSE

//*****************************************************************************
//                       Misc. COLORS & FINISHES
//*****************************************************************************

#declare White1 = color rgb < 1.00, 0.90, 0.85 >
#declare White2 = color rgb < 0.95, 0.80, 0.80 >

// Dull creates a large, soft highlight on the object's surface
#declare Dull = finish {specular 0.5 roughness 0.15}

// Shiny creates a small, tight highlight on the object's surface
#declare Shiny = finish {specular 1 roughness 0.001}

// Phong highlights are less "realistic" than specular, but useful
// for different effects.
// Dull creates a large, soft highlight on the object's surface
#declare Phong_Dull = finish {phong 0.5  phong_size 1}

// Shiny creates a small, tight highlight on the object's surface
#declare Phong_Shiny = finish {phong 1  phong_size 200}

// Very shiny with very tight highlights and a fair amount of reflection
#declare Glossy = finish {specular 1 roughness 0.0001 reflection 0.13}
#declare Phong_Glossy = finish {phong 1 phong_size 300 reflection 0.13}

// Luminous for shadowless skies and light_sources.
#declare Luminous = finish {ambient 1  diffuse 0}

// a perfectly mirrored finish with no highlights
#declare Mirror = finish {ambient 0  diffuse 0 reflection 1}

// ************************************************************************
//  Define Textures                                                   *****
// ************************************************************************

#declare Yellow_Tex =
texture {
   pigment { Yellow }
   finish {
      ambient 0.0
      diffuse 0.6
      specular 1.00
      roughness 0.00001
          }
        }

#declare Red_Tex =
texture {
   pigment { Red }
   finish {
      ambient 0.0
      diffuse 0.6
      specular 1.00
      roughness 0.00001
   }
}

#declare Green_Tex =
texture {
   pigment { Green }
   finish {
      ambient 0.0
      diffuse 0.6
      specular 1.00
      roughness 0.00001
   }
}

#declare Blue_Tex =
texture {
   pigment { Blue }
   finish {
      ambient 0.0
      diffuse 0.6
      specular 1.00
      roughness 0.00001
   }
}

#declare White_Tex =
texture {
   pigment { White }
   finish {
      ambient 0.0
      diffuse 0.6
      specular 1.00
      roughness 0.00001
   }
}

#declare Black_Tex =
texture {
   pigment { Black }
   finish {
      ambient 0.0
      diffuse 0.6
      specular 1.00
      roughness 0.00001
           }//end finish
        } // end texture

#declare GreenYellow_Tex =
texture {
   pigment { GreenYellow }
   finish {
      ambient 0.0
      diffuse 0.6
      specular 1.00
      roughness 0.00001
           }//end finish
        } // end texture

#declare Gray25_Tex =
texture {
   pigment { Gray25 }
   finish {
      ambient 0.5
      diffuse 0.5
      specular 0.5
      roughness 0.001
           }//end finish
        } // end texture


#declare Gray50_Tex =
texture {
   pigment { Gray50 }
   finish {
      ambient 0.0
      diffuse 0.0
      specular 0.5
      roughness 0.00001
           }//end finish
        } // end texture

#declare Gray75_Tex =
texture {
   pigment { Gray75 }
   finish {
      ambient 0.0
      diffuse 0.0
      specular 0.5
      roughness 0.00001
           }//end finish
        } // end texture

#declare LtGray_Tex =
texture {
   pigment { VLightGray }
   finish {
      ambient 0.4
      diffuse 0.4
      specular 0.5
      roughness 0.001
           }//end finish
        } // end texture

#declare Gray_Tex =
texture {
   pigment { Gray }
   finish {
      ambient 0.4
      diffuse 0.4
      specular 0.5
      roughness 0.001
           }//end finish
        } // end texture

// ************************************************************************
//                      STONE TEXTURES
// ************************************************************************

#declare Spex=                         // By Dan Farmer
texture {
    finish {
        phong 0.35
        phong_size 15
           }//end finish
    pigment {
        granite
        color_map {
            [ 0.0 0.7  color Black   color Black  ]
            [ 0.7 1.0  color Orange  color Orange ]
                  }//end map
        quick_color Blue
            }//end pigment
        } // end texture

//--------- Gray Tan with Rose
#declare T_Grnt0 =
texture {
   pigment
      { granite
        turbulence 0.4
        color_map {
           [ 0.000, 0.153   color rgbf <0.729, 0.502, 0.451, 0.000>
                            color rgbf <0.769, 0.686, 0.592, 0.000> ]
           [ 0.153, 0.398   color rgbf <0.769, 0.686, 0.592, 0.000>
                            color rgbf <0.843, 0.753, 0.718, 0.000> ]
           [ 0.398, 0.559   color rgbf <0.843, 0.753, 0.718, 0.000>
                            color rgbf <0.780, 0.667, 0.561, 0.000> ]
           [ 0.559, 0.729   color rgbf <0.780, 0.667, 0.561, 0.000>
                            color rgbf <0.741, 0.659, 0.576, 0.000> ]
           [ 0.729, 1.001   color rgbf <0.741, 0.659, 0.576, 0.000>
                            color rgbf <0.729, 0.502, 0.451, 0.000> ]
                  } //end map
        quick_color Yellow
      } // end pigment
        } // end texture G_0

//------- Dark Orchid Olive & Dark Putty
#declare T_Grnt7 =
texture {
   pigment {
      granite
      turbulence 0.5
      color_map {
         [ 0.000, 0.153   color rgbf <0.439, 0.310, 0.282, 0.000>
                          color rgbf <0.463, 0.369, 0.259, 0.000> ]
         [ 0.153, 0.398   color rgbf <0.463, 0.369, 0.259, 0.000>
                          color rgbf <0.541, 0.369, 0.298, 0.000> ]
         [ 0.398, 0.559   color rgbf <0.541, 0.369, 0.298, 0.000>
                          color rgbf <0.573, 0.424, 0.286, 0.000> ]
         [ 0.559, 0.729   color rgbf <0.573, 0.424, 0.286, 0.000>
                          color rgbf <0.494, 0.396, 0.306, 0.000> ]
         [ 0.729, 1.001   color rgbf <0.494, 0.396, 0.306, 0.000>
                          color rgbf <0.439, 0.310, 0.282, 0.000> ]
                } // end  map
      quick_color Red
           } // end pigment
        } // end texture

//----- Translucent T_Grnt0
#declare T_Grnt0a =
texture {
   pigment {
      granite
      turbulence 0.6
      color_map {
         [ 0.000, 0.153   color rgbf <0.729, 0.502, 0.451, 0.306>
                          color rgbf <0.769, 0.686, 0.592, 0.792> ]
         [ 0.153, 0.398   color rgbf <0.769, 0.686, 0.592, 0.792>
                          color rgbf <0.843, 0.753, 0.718, 0.396> ]
         [ 0.398, 0.559   color rgbf <0.843, 0.753, 0.718, 0.396>
                          color rgbf <0.780, 0.667, 0.561, 0.976> ]
         [ 0.559, 0.729   color rgbf <0.780, 0.667, 0.561, 0.976>
                          color rgbf <0.741, 0.659, 0.576, 0.820> ]
         [ 0.729, 1.001   color rgbf <0.741, 0.659, 0.576, 0.820>
                          color rgbf <0.729, 0.502, 0.451, 0.306> ]
                } //end map
           } //end pigment
        } //end texture

//-----Translucent T_Grnt7
#declare T_Grnt7a =
texture {
pigment
 {granite
  turbulence 0.6
  color_map
   {[0.000, 0.119   color rgbf <0.439, 0.310, 0.282, 0.631>
                    color rgbf <0.463, 0.369, 0.259, 0.847>]
    [0.119, 0.322   color rgbf <0.463, 0.369, 0.259, 0.847>
                    color rgbf <0.541, 0.369, 0.298, 0.549>]
    [0.322, 0.449   color rgbf <0.541, 0.369, 0.298, 0.549>
                    color rgbf <0.573, 0.424, 0.286, 0.965>]
    [0.449, 0.729   color rgbf <0.573, 0.424, 0.286, 0.965>
                    color rgbf <0.494, 0.396, 0.306, 0.741>]
    [0.729, 1.001   color rgbf <0.494, 0.396, 0.306, 0.741>
                    color rgbf <0.439, 0.310, 0.282, 0.631>]
   }//end map
 } // end pig
 } // end tex 7a

// ************************************************************************

//------------- Deep Rose & Green Marble with large White Swirls
//------------- altered for N_HOUSE2 / N_H209
#declare T_Stone1 =
   texture { T_Grnt7  scale <3, 4, 3> rotate <0, 0, 40> }
   texture { T_Grnt0a scale <2, 3, 2> rotate <0, 0,-30>
             finish { phong 0.25  phong_size 80 } }

//------------- Light Greenish Tan Marble with Agate style veining
#declare T_Stone2 =
   texture { T_Grnt0  scale <2, 3, 2>  rotate <0, 0, 40> }
   texture { T_Grnt7a scale <1.3, 2, 1.3> rotate <0, 0, -30> rotate <40, 0, 0>
             finish { phong 1.0  phong_size 90  ambient 0.2 } }

// Dark powder blue w/steel blue & grey swirls
#declare T_Stone41 =
texture  {
    pigment {
        marble
        turbulence 1.5
        omega 0.6235
        lambda 2.25
        colour_map  {
            [0.15 colour rgbf <0.03922, 0.20784, 0.52941, 0.0>]
            [0.45 colour rgbf <0.03922, 0.20784, 0.52941, 0.0>]
            [0.55 colour rgbf <0.22745, 0.23922, 0.42353, 0.0>]
            [0.75 colour rgbf <0.20784, 0.30980, 0.54118, 0.0>]
            [1.00 colour rgbf <0.20784, 0.30980, 0.54118, 0.0>]
        }
        rotate <0, 0, 85>
        scale <0.75, 1.33, 0.35>
        rotate <10, 5, 45>
    }
    finish { brilliance 1.825 }
}
texture  {
    pigment {
        granite
        turbulence  1.15
        colour_map  {
            [0.25 colour rgbf <0.30196, 0.35294, 0.48627, 0.600>]
            [0.45 colour rgbf <0.30196, 0.35294, 0.48627, 0.475>]
            [0.85 colour rgbf <0.17647, 0.24706, 0.39216, 0.715>]
            [1.00 colour rgbf <0.17647, 0.24706, 0.39216, 0.750>]
        }
        rotate <0,0,45>
       scale <0.78, 1.0, 0.4>
       rotate <5, 10, -55>
    }
    finish { ambient 0.225 diffuse 0.75 crand 0.01975}
}

// ************************************************************************

#declare Grnt15b =                     // white with subtle chroma
texture {
   pigment {
      granite
      turbulence 0.3
      color_map {
         [ 0.000 0.104   color  red 0.161  green 0.133  blue 0.118
                         color  red 0.110  green 0.082  blue 0.071 ]
         [ 0.104 0.232   color  red 0.110  green 0.082  blue 0.071
                         color  red 0.161  green 0.133  blue 0.118 ]
         [ 0.232 0.373   color  red 0.161  green 0.133  blue 0.118
                         color  red 0.000  green 0.000  blue 0.000 ]
         [ 0.373 0.643   color  red 0.000  green 0.000  blue 0.000
                         color  red 0.200  green 0.150  blue 0.128 ]
         [ 0.643 0.743   color  red 0.200  green 0.150  blue 0.128
                         color  red 0.380  green 0.289  blue 0.217 ]
         [ 0.743 0.922   color  red 0.380  green 0.289  blue 0.217
                         color  red 0.195  green 0.380  blue 0.150 ]
         [ 0.922 0.983   color  red 0.195  green 0.380  blue 0.150
                         color  red 0.280  green 0.422  blue 0.207 ]
         [ 0.983 1.001   color  red 0.280  green 0.422  blue 0.207
                         color  red 0.381  green 0.483  blue 0.207 ]
                } // end map
      quick_color Green
           } // end pigment
   finish {
     reflection 0.5
     specular 0.5
     roughness 0.05
          }//end finish
        } // end texture

// ************************************************************************

#declare Grnt20 =                      // White Marble, gray feather veins
texture {
   pigment {
      granite
      turbulence 0.5
      color_map {
         [ 0.0  0.3  color Black  color White ]
         [ 0.3  0.4  color White  color White ]
         [ 0.4  0.7  color White  color White ]
         [ 0.7  1.0  color White  color Gray50 ]
                }  // end color map
   quick_color Green
           }//end pigment
   finish {
      ambient 0.3
      diffuse 0.3
      reflection 0.5
          }//end finish
        }  // end texture

// ************************************************************************

#declare Pink_Granite_Map =
color_map {
    [0.0,  0.4  color rgb <0.0, 0.0, 0.0>  
                color rgb <0.0, 0.0, 0.0>]
    [0.4,  0.45 color rgb <0.85, 0.85, 0.95> 
                color rgb <0.85, 0.85, 0.95>]
    [0.45, 0.5  color rgb <0.85, 0.85, 0.95> 
                color rgb <0.75, 0.75, 0.75>]
    [0.5,  0.55 color rgb <0.75, 0.75, 0.75>   
                color rgb <0.82, 0.57, 0.46>]
    [0.55, 0.8  color rgb <0.82, 0.57, 0.46> 
                color rgb <0.82, 0.57, 0.46>]
    [0.8,  1.0  color rgb <0.82, 0.57, 0.46> 
                color rgb <1.0, 0.5, 0.0> ]
}

#declare Pink_Granite =  
pigment {
    granite
    color_map { Pink_Granite_Map }
        } // end pigment


// ************************************************************************
//                           SKY PIGMENTS
// ************************************************************************

// Another sky
#declare Blue_Sky2 =
pigment {
    agate
    color_map {
        [0.0, 0.3 color rgb <0.0, 0.0, 1.0> 
                  color rgb <0.0, 0.0, 1.0>]
        [0.3, 1.0 color rgb <0.0, 0.0, 1.0> 
                  color rgb <1.0, 1.0, 1.0>]
    }
    scale .75
}

#declare cloud_texture_2 =
texture {
   pigment {
      radial
      color_map {
         [0.00  color Clear ] [0.125  color White2 ]
         [0.25  color Clear ] [0.375  color White1 ]
         [0.50  color Clear ] [0.625  color White2 ]
         [0.75  color Clear ] [0.825  color White1 ]
         [1.00  color Clear ] }//end map
      turbulence 1.0  octaves 10  omega 0.8
      quick_color Coral
           }//end pigment
   finish { Luminous }
        } // end texture

// ************************************************************************

#declare Bright_AquaBlue2 =            //Our_House sky ::I like this ver.!
pigment {                              //TEX_S021.POV,GIF
   bozo
   turbulence  0.75
   octaves 3
   lambda 9
   color_map {
      [ 0.0  0.3  color red 0.4392 green 0.7588 blue 0.7646
                  color red 0.4    green 0.6    blue 0.8 ]
      [ 0.3  0.6  color red 0.4  green 0.6  blue 0.8
                  color red 0.5  green 0.5  blue 0.9 ]
      [ 0.6  0.7  color red 0.5  green 0.5  blue 1.0
                  color red 1.0  green 1.0  blue 1.0 ]
      [ 0.7  1.0  color red 1.0  green 1.0  blue 1.0
                  color red 0.5  green 0.5  blue 0.5 ]
             } //end map
        }  //  end Bright Aqua Blue sky

// ************************************************************************

#declare Bright_AquaBlue3 =            //Our_House sky
pigment {                              //TEX_S022.POV,GIF
   bozo
   turbulence  0.75
   octaves 5  //3
   lambda 9
   color_map {
      [ 0.0  0.3  color red 0.4392 green 0.7508 blue 0.7606
                  color red 0.4    green 0.6    blue 0.8 ]
      [ 0.3  0.6  color red 0.4  green 0.6  blue 0.8
                  color red 0.5  green 0.5  blue 0.9 ]
      [ 0.6  0.7  color red 0.5  green 0.5  blue 1.0
                  color red 1.0  green 1.0  blue 1.0 ]
      [ 0.7  1.0  color red 1.0  green 1.0  blue 1.0
                  color red 0.5  green 0.5  blue 0.5 ]
             } //end map
        }  //  end Bright Aqua Blue sky

// ************************************************************************

#declare Bright_AquaBlue4 =            //Our_House sky
pigment {                              //TEX_S023.POV,GIF
   bozo
   turbulence  0.75
   octaves 5
   lambda 9
   color_map {
      [ 0.0  0.2  color red 0.4392 green 0.7008 blue 0.7606
                  color red 0.4    green 0.6    blue 0.8 ]
      [ 0.2  0.5  color red 0.4  green 0.6  blue 0.8
                  color red 0.5  green 0.5  blue 0.9 ]
      [ 0.5  0.7  color red 0.5  green 0.5  blue 1.0
                  color red 1.0  green 1.0  blue 1.0 ]
      [ 0.7  1.0  color red 1.0  green 1.0  blue 1.0
                  color red 0.5  green 0.5  blue 0.5 ]
             } //end map
        }  //  end Bright Aqua Blue sky

// ************************************************************************

// tex_0063 & 0064:
#declare Starfield1A =
    pigment {
        granite
        color_map {
            [ 0.000  0.270 color rgb < 0, 0, 0> color rgb < 0, 0, 0> ]
            [ 0.270  0.280 color rgb <.5,.5,.4> color rgb <.8,.8,.4> ]
            [ 0.280  0.470 color rgb < 0, 0, 0> color rgb < 0, 0, 0> ]
            [ 0.470  0.480 color rgb <.4,.4,.5> color rgb <.4,.4,.8> ]
            [ 0.480  0.680 color rgb < 0, 0, 0> color rgb < 0, 0, 0> ]
            [ 0.680  0.690 color rgb <.5,.4,.4> color rgb <.8,.4,.4> ]
            [ 0.690  0.880 color rgb < 0, 0, 0> color rgb < 0, 0, 0> ]
            [ 0.880  0.890 color rgb <.5,.5,.5> color rgb < 1, 1, 1> ]
            [ 0.890  1.000 color rgb < 0, 0, 0> color rgb < 0, 0, 0> ]
        }
    turbulence 1
    sine_wave
    scale .5
    }

#declare Starfield2A =
    pigment {
        granite
        color_map {
            [ 0.000  0.270 color rgb < 0, 0, 0> color rgb < 0, 0, 0> ]
            [ 0.270  0.285 color rgb <.5,.5,.4> color rgb <.8,.8,.4> ]
            [ 0.285  0.470 color rgb < 0, 0, 0> color rgb < 0, 0, 0> ]
            [ 0.470  0.485 color rgb <.4,.4,.5> color rgb <.4,.4,.8> ]
            [ 0.485  0.680 color rgb < 0, 0, 0> color rgb < 0, 0, 0> ]
            [ 0.680  0.695 color rgb <.5,.4,.4> color rgb <.8,.4,.4> ]
            [ 0.695  0.880 color rgb < 0, 0, 0> color rgb < 0, 0, 0> ]
            [ 0.880  0.895 color rgb <.5,.5,.5> color rgb < 1, 1, 1> ]
            [ 0.895  1.000 color rgb < 0, 0, 0> color rgb < 0, 0, 0> ]
        }
    turbulence 1
    sine_wave
    scale .5
    }

// ************************************************************************
//                           METAL PIGMENTS
// ************************************************************************

#declare Metal =
finish {
    metallic
    ambient 0.2
    diffuse 0.7
    brilliance 6
    reflection 0.5
    phong 0.75
    phong_size 80
}

#declare Chrome_Texture =
texture {
    pigment { color LightGray }
    finish {
        ambient 0.3
        diffuse 0.7
        reflection 0.15
        brilliance 8
        specular 0.8
        roughness 0.1
    }
}

// A series of metallic textures using the Metal texture:
#declare Brass_Texture  = texture { pigment{ color Brass      } finish{ Metal }}
#declare Gold_Texture   = texture { pigment{ color BrightGold } finish{ Metal }}
#declare Bronze_Texture = texture { pigment{ color Bronze     } finish{ Metal }}
#declare Copper_Texture = texture { pigment{ color Copper     } finish{ Metal }}
#declare Silver_Texture = texture { pigment{ color Silver     } finish{ Metal }}

#declare Chrome_Metal = texture { Chrome_Texture }
#declare Brass_Metal  = texture { Brass_Texture  }
#declare Bronze_Metal = texture { Bronze_Texture }
#declare Gold_Metal   = texture { Gold_Texture   }
#declare Silver_Metal = texture { Silver_Texture }
#declare Copper_Metal = texture { Copper_Texture }

#declare Polished_Brass = 
texture {
    pigment { color rgb <0.578, 0.422, 0.195>
              quick_color Yellow }
    finish {
        metallic
        ambient 0.5
        diffuse 0.8
        brilliance 6.0
        reflection 0.4
        phong 0.8
        phong_size 120
   }
}


#declare P_Brass4    = color rgb <0.65, 0.50, 0.25>

#declare F_MetalB  = 
finish {
    ambient 0.30
    brilliance 3
    diffuse 0.4
    metallic
    specular 0.70
    roughness 1/60
    reflection 0.25
}

#declare T_Brass_4B = texture { pigment { P_Brass4 } finish { F_MetalB  } }

#declare This_Brass = texture { T_Brass_4B }

// ************************************************************************
//                           GLASS TEXTURES
// ************************************************************************

#declare Glass_Finish=
finish {
    specular 0.5
    roughness 0.001
    ambient 0
    diffuse 0
    reflection 0.1
    refraction 1
    ior 1.5
}

#declare Glass =
texture {
    pigment { color rgbf < 1.0, 1.0, 1.0, 1.0 > }
    finish  { Glass_Finish }
}

// ************************************************************************

// Glass Finishes

#declare F_Glass1 =
finish {
    specular 1
    roughness 0.001
    ambient 0
    diffuse 0
    refraction 1
    reflection 0.1
    ior 1.5
}

#declare F_Glass2 =
finish {
    ambient 0
    diffuse 0
    reflection 0.5
    refraction 1
    ior 1.5
    phong 0.3
    phong_size 60
}

#declare F_Glass3 =
finish  {
    ambient 0.1
    diffuse 0.1
    reflection 0.1
    refraction 1
    ior 1.45
    specular 0.8
    roughness 0.003
    phong 1
    phong_size 400
}

#declare F_Glass4 =
finish {
    ambient 0.1
    diffuse 0.1
    reflection .25
    refraction 1
    ior 1.5
    specular 1
    roughness 0.001
}

// ************************************************************************

// Glass Textures

#declare T_Winebottle_Glass=
texture {
    finish { F_Glass3 }
    pigment { color rgbf <0.4, 0.72, 0.4, 0.95> }
}

#declare T_Beerbottle_Glass=
texture {
    finish { F_Glass3 }
    pigment { color rgbf <0.7, 0.5, 0.1, 0.95> }
}

// A few color variations on Norm's glass
// Ruby glass
#declare T_Ruby_Glass =
texture {
    finish { F_Glass3 }
    pigment { color rgbf <0.9, 0.1, 0.2, 0.95> }
}

#declare T_Green_Glass =
texture {
    pigment { color rgbf <0.8, 1, 0.95, 0.95> }
    finish { F_Glass3 }
}

#declare T_Dark_Green_Glass=
texture {
    finish { F_Glass3 }
    pigment { color rgbf <0.1, 0.7, 0.8, 0.95> }
}

#declare T_Yellow_Glass=
texture {
    finish { F_Glass3 }
    pigment { color rgbf <0.8, 0.8, 0.2, 0.95> }
}

// Orange/Amber glass
#declare T_Orange_Glass=
texture {
    finish { F_Glass4 }
    pigment { rgbf <1.0, 0.5, 0.0, 0.8> }
}

// Vicks bottle, glass
#declare T_Vicksbottle_Glass=
texture {
    finish { F_Glass3 }
    pigment { color rgbf < 0.1, 0.15, 0.5, 0.95 > }
}

// An excellent lead crystal glass!
#declare Glass3 = 
texture {
    pigment { color rgbf <0.98, 0.98, 0.98, 0.9> }
    finish  {
        ambient 0.1
        diffuse 0.1
        reflection 0.1
        refraction 0.9
        ior 1.45
        specular 0.8
        roughness 0.0003
        phong 1 
        phong_size 400
     }
}

// ************************************************************************
//                             Misc Textures
// ************************************************************************

#declare Fire =                        // By Dan Farmer
texture {
    pigment {
        marble
        turbulence 1
        octaves 6
        color_map {
            [0.0 0.2 color Clear color Scarlet ]
            [0.2 0.3 color Scarlet color Orange]
            [0.3 0.5 color Orange color Yellow]
            [0.5 0.6 color Yellow color Orange]
            [0.6 0.8 color Orange color Scarlet]
            [0.8 1.0 color Scarlet color Clear]
        }
        rotate z*90
        scale <1, 5, 1>
    }
}

// ************************************************************************

#declare Grass =
texture {
   pigment {
      spotted
      color_map {
         [ 0.00  0.35   color Green        color PaleGreen ]
         [ 0.35  0.60   color PaleGreen    color Green ]
         [ 0.60  0.80   color Green        color SpringGreen ]
         [ 0.80  1.00   color SpringGreen  color LimeGreen ]
                } // end color map
   turbulence 7.5
   quick_color Green
           } // end pigment
   scale < 0.75 0.4 0.75 >
   normal { bumps 0.4 scale 0.2 }
        } // end Grass texture

// ************************************************************************

// DEFINE A Variant of Jade for Tree Foliage   *****

#declare TreeJade =
texture {
   pigment {
      marble
      color_map {
         [ 0.0  0.2   color red 0.1  green 0.8  blue 0.1
                      color red 0.0  green 0.4  blue 0.0 ]
         [ 0.2  0.5   color red 0.1  green 0.7  blue 0.1
                      color red 0.0  green 0.3  blue 0.0 ]
         [ 0.5  0.85  color red 0.1  green 0.6  blue 0.1
                      color red 0.0  green 0.3  blue 0.0 ]
         [ 0.85 1.0   color red 0.1  green 0.6  blue 0.1  filter 0.6
                      color red 0.0  green 0.2  blue 0.0  filter 0.6 ]
                } // end color map
      turbulence 19
      quick_color Green
           }//end pigment
   finish {
      ambient 0.01
      reflection 0.01
      diffuse    0.1
      brilliance 0.0002
          }//end finish
   scale < 3.5 3.0 2.5 >
        } // end texture Tree Jade

// ************************************************************************

#declare spural_texture =
texture {
   pigment {
      marble
      turbulence 0.4
      color_map {
         [0.0  0.73 color Copper
                    color red 0.42 green 0.26 blue 0.15]
         [0.73 0.85 color red 0.42 green 0.26 blue 0.15
                    color Firebrick]
         [0.85 0.91 color Firebrick
                    color Black]
         [0.91 1.01 color Black
                    color Copper]
                }//end map
      rotate 90*x
      scale 2
      quick_color Brown
           }//end pigment
   finish {
      specular 0.5
      roughness 0.00002
      ambient 0.05
      diffuse 0.65
      reflection 0.5
          }//end finish
        } // end texture

// ************************************************************************

//   DEFINE  shutter texture

#declare DT_Tex =                      //plain matte color
texture {
   pigment { DarkTurquoise }
   finish {
      ambient 0.1
      diffuse 0.3
      specular 1.00
      roughness 0.0001
          }//end finish
        } // end texture

/* ********************************************************************* */

// DECLARE TEXTURE ***** Green surface with lavendar cloud pattern

#declare Green_World =
texture {
   pigment {
      wood
         turbulence 1.25
         color_map {
            [ 0.0  0.6  color LimeGreen  color ForestGreen ]
            [ 0.1  0.6  color Yellow     color LimeGreen ]
            [ 0.6  1.0  color LimeGreen  color Clear ]
                   }  //end color map
         scale < 3.5, 1.0, 1.0 >
         quick_color Green
           }// end pigment
   finish {
      diffuse 0.55
      brilliance 0.2
      reflection 0.1
          }// end finish
        }  //end texture  Green World

// ************************************************************************
#version Textures_Inc_Temp
// end of file
// ************************************************************************
